;
; Copyright (c) Microsoft Corporation.  All rights reserved.
;
;
; Use of this source code is subject to the terms of the Microsoft shared
; source or premium shared source license agreement under which you licensed
; this source code. If you did not accept the terms of the license agreement,
; you are not authorized to use this source code. For the terms of the license,
; please see the license agreement between you and Microsoft or, if applicable,
; see the SOURCE.RTF on your install media or the root of your tools installation.
; THE SOURCE CODE IS PROVIDED "AS IS", WITH NO WARRANTIES OR INDEMNITIES.
;
;
;
;


; This is the config file for the enroll tool.
; Syntax -
;   Lines starting with a ; or % or // are comments
; 	All items are of the form OPTION=YYY where OPTION is not case sensitive and YYY is.
;
;	The parser DOES NOT Support numeric evaluation, so all numerics will be read as 
;	literals. If you want a numeric value to be interpreted as hex, start it with 0x, 
;	e.g. 0xF would evalutate to dec (15)
;	XXX: Be wary of trailing spaces. We don't parse them correctly
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;
; SERVER - the Name of the server being used for enrollment
;
SERVER=reditgcab03

;
; USERNAME - For headless devices, specifiy your username 
;

//USERNAME=domain\guest

;
; PASSWORD - For headless devices specifiy your password
; Note - it will be plaintext.
;
//PASSWORD=password

;
; CERT_STORE - the Name of the cert store that the cert will be placed in.
;   Valid Values:
CERT_STORE=MY

;
;KEY_CONTAINER_NAME - the name of the key container that will specify the 
;					  location of the private key.
;KEY_CONTAINER_NAME=
KEY_CONTAINER_NAME=enroll


;
;KEY_PROVIDER_NAME -  The name of your crypto provider. Needed for SmartCards.
;					
;KEY_PROVIDER_NAME=Windows for Smart Cards Cryptographic Service Provider
KEY_PROVIDER_NAME=

;
; DW_KEY_SPEC - the Key Specification 
; Valid Options:
;   AT_KEYEXCHANGE          1
;   AT_SIGNATURE            2
DW_KEY_SPEC=2

;DW_FLAGS - flags for key container access
;  Can be | together
; CRYPT_MACHINE_KEYSET    0x00000020
; CRYPT_SILENT        0x00000040
DW_FLAGS=0
;
;DW_KEY_FLAGS - flags for key creation
;  Can be | together
; CRYPT_EXPORTABLE        0x00000001
; CRYPT_USER_PROTECTED    0x00000002
DW_KEY_FLAGS=0

;DW_PROV_TYPE - Type of provider to use for the container
; Valid Values:
;  PROV_RSA_FULL           1
;  PROV_RSA_SIG            2
;  PROV_DSS                3
DW_PROV_TYPE=1

;
; CERT_TEMPLATE  - Value placed in the CertificateTemplate  field of CertAttrib
; Valid Values:
;   ClientAuth
;   UserSignature
CERT_TEMPLATE=ClientAuth

;
; CERT_CHAIN - request the user certificate, or the entire certifcate chain.
; Valid Values:
; 0 - retrieve only the certificate
; 1 - retrieve the certificate and the chain.
CERT_CHAIN=1

;USE_WPRINTF -
;tells enroll if it should display it's output with printf. if
;set to 0, will use msgboxes for output. this flag *only*
;works for output that occurs after the config file is read in.  
;before that time  enroll will use msgboxes
USE_WPRINTF=0

; CERT_OTHER_ATTRIBS - 
;       This option has been deprecated. Please use 
;       CERT_ATTRIBS and CERT_TEMPLATE instead.

////////////////////////////////////////////////////////////////////////////////
// More Advanced Options.
//  These options are required if the website you use for enrollment is not
//  setup in the default install.
////////////////////////////////////////////////////////////////////////////////

;
; CERT_ATTRIBS - 
; 		Additional Attributes to be placed in the CertAtrrib field of the 
;       Cert Request. Must be URL Encoded. The CertAttrib field will already 
;       contain the CertificateTemplate field if specified in CERT_TEMPLATE.
;   %2F is / 
;   %3D is =
;   %3A is space. 

CERT_ATTRIBS=
;
; CERT_REQ_PAGE - the page that the Cert Request is sent to .
;
CERT_REQ_PAGE=/certsrv/certfnsh.asp

;
; CERT_PICKUP_TEMPLATE - the template used to retrieve the issued cert.
; 		the %i represents the request no.
;
CERT_PICKUP_TEMPLATE=/certsrv/certnew.cer?ReqId=%i&Enc=b64

;
; CERT_PICKUP_CHAIN_TEMPLATE - the template used to retrieve the issued cert chain.
; 		the %i represents the request no.
;
CERT_PICKUP_CHAIN_TEMPLATE=/certsrv/certnew.p7b?ReqId=%i&Enc=b64
